import { OnDestroy, EventEmitter, OnInit, ChangeDetectorRef, AfterViewInit, OnChanges, SimpleChanges, NgZone } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { UEditorConfig } from './ueditor.config';
import { NuLazyService } from '@ng-util/lazy';
export declare type EventTypes = 'destroy' | 'reset' | 'focus' | 'langReady' | 'beforeExecCommand' | 'afterExecCommand' | 'firstBeforeExecCommand' | 'beforeGetContent' | 'afterGetContent' | 'getAllHtml' | 'beforeSetContent' | 'afterSetContent' | 'selectionchange' | 'beforeSelectionChange' | 'afterSelectionChange';
export declare class UEditorComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy, ControlValueAccessor {
    private lazySrv;
    private cog;
    private doc;
    private cd;
    private zone;
    set disabled(value: boolean);
    constructor(lazySrv: NuLazyService, cog: UEditorConfig, doc: any, cd: ChangeDetectorRef, zone: NgZone);
    /**
     * 获取UE实例
     */
    get Instance(): any;
    private instance;
    private value;
    private inited;
    private events;
    loading: boolean;
    id: string;
    config: any;
    loadingTip: string;
    private _disabled;
    delay: number;
    readonly onPreReady: EventEmitter<UEditorComponent>;
    readonly onReady: EventEmitter<UEditorComponent>;
    readonly onDestroy: EventEmitter<any>;
    private onChange;
    private onTouched;
    private _getWin;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private initDelay;
    private init;
    destroy(): void;
    private setDisabled;
    /**
     * 设置编辑器语言
     */
    setLanguage(lang: 'zh-cn' | 'en'): PromiseLike<void>;
    /**
     * 添加编辑器事件
     */
    addListener(eventName: EventTypes, fn: any): void;
    /**
     * 移除编辑器事件
     */
    removeListener(eventName: EventTypes): void;
    ngOnDestroy(): void;
    writeValue(value: string): void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    setDisabledState(isDisabled: boolean): void;
}
